ICU 77.1: icu::number::NumberRangeFormatter Class Reference

ICU 77.1 77.1

Public Member Functions | Static Public Member Functions
icu::number::NumberRangeFormatter Class Referencefinal

See the main description in numberrangeformatter.h for documentation and examples. More...

`#include <numberrangeformatter.h>`

## Public Member Functions
| NumberRangeFormatter ()=delete
| Use factory methods instead of the constructor to create a NumberFormatter.

## Static Public Member Functions
static UnlocalizedNumberRangeFormatter | with ()
| Call this method at the beginning of a NumberRangeFormatter fluent chain in which the locale is not currently known at the call site. More...
static LocalizedNumberRangeFormatter | withLocale (const Locale &locale)
| Call this method at the beginning of a NumberRangeFormatter fluent chain in which the locale is known at the call site. More...

## Detailed Description

See the main description in numberrangeformatter.h for documentation and examples.

Stable:
  ICU 63

Definition at line 756 of file numberrangeformatter.h.

## Member Function Documentation

## ◆ with()

static UnlocalizedNumberRangeFormatter icu::number::NumberRangeFormatter::with | ( |  | ) |
| static

Call this method at the beginning of a NumberRangeFormatter fluent chain in which the locale is not currently known at the call site.

Returns
  An UnlocalizedNumberRangeFormatter, to be used for chaining.

Stable:
  ICU 63

## ◆ withLocale()

static LocalizedNumberRangeFormatter icu::number::NumberRangeFormatter::withLocale | ( | const Locale & | locale | ) |
| static

Call this method at the beginning of a NumberRangeFormatter fluent chain in which the locale is known at the call site.

Parameters

  locale | The locale from which to load formats and symbols for number range formatting.

Returns
  A LocalizedNumberRangeFormatter, to be used for chaining.

Stable:
  ICU 63

The documentation for this class was generated from the following file:

- i18n/unicode/numberrangeformatter.h